/**
 * @author marcus@localhorst
 * based on an idea found here:
 * http://webdeveloperplus.com/jquery/featured-content-slider-using-jquery-ui/
 * 2009-12-04 - update to jQueryUi 1.7.2 some improvements
 */

jQuery(document).ready(function() {

var featured = $("#featured");
var panels = $("#featured .ui-tabs-panel");
featured.find('.hide').css('display','none'); //just make sure they are hidden ;-)
	// build the featured slider list
	var list = '<ul class="ui-tabs-nav">';
	panels.each(function(e){
		var imghide = $(this).find('.hide');	
		var imgsrc  = imghide.attr('src');		
		var imgw    = imghide.attr('width');		
		var imgh    = imghide.attr('height');
//		console.log(imgh)		
		var text    = $(this).find('h2').text();		
		var id      = $(this).attr('id');	
		list += '<li class="ui-tabs-nav-item"><a href="#'+id+'"><img src="'+imgsrc+'" style="width:'+imgw+'px;height:'+imgh+'px" alt="" /><span>'+text+'</span></a></li>';
	});
	list += '</ul>';
    featured.prepend(list);
	
	featured.tabs({
		fx:{opacity: "toggle"}}
		).tabs("rotate", 9000, true);
	
});